#
# spec file for package golang-github-dchest-authcookie
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2011 Sascha Peilicke <saschpe@gmx.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           golang-github-dchest-authcookie
Version:        0.0.0+git20120917.fbdef6e
Release:        1.1
Summary:        Creation and verification of signed authentication cookies
License:        MIT
Group:          Development/Languages/Other
Url:            https://github.com/dchest/authcookie
Source0:        authcookie-%{version}.tar.xz
BuildRequires:  golang-packaging
BuildRequires:  xz
Provides:	go-authcookie = %{version}
Obsoletes:	go-authcookie < %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{go_provides}

%description
Package authcookie implements the creation and verification of signed
authentication cookies.

%gosrc_package

%prep
%setup -q -n authcookie-%{version}

%build
%goprep github.com/dchest/authcookie
%gobuild

%install
%goinstall
%gosrc

%check
%gotest github.com/dchest/authcookie

%files
%defattr(-,root,root,-)
%doc LICENSE README.md
%{go_contribdir}/*

%files source
%defattr(-,root,root,-)
%{go_contribsrcdir}/*

%changelog
* Sun Apr  3 2016 i@marguerite.su
- add xz dependency for SLE
* Sat Jul 25 2015 i@marguerite.su
- rename to golang-github-dchest-authcookie
- use golang-packaging for packaging
* Tue Aug 13 2013 speilicke@suse.com
- Update to version 0.0.0+git20120917.fbdef6e:
  + Upstream provides no changelog
- Use _service file
* Tue Aug 13 2013 speilicke@suse.com
- Use %%go_exclusivearch macro
* Wed Jan 25 2012 graham@andtech.eu
- Pass hash to hmac.New instead of using NewSHA256
- Update to weekly.2012-01-20
* Tue Dec 13 2011 saschpe@suse.de
- Adjust to Go weekly.2011-12-02 release changes
* Tue Jun 14 2011 saschpe@gmx.de
- Disabled testsuite on Mandriva to fix build errors
* Tue Jun 14 2011 saschpe@gmx.de
- Initial version
